%global gitname	sio_fpga_driver

Name:           ulm-%{gitname}
Version:        1.01_4
Release:        1%{?dist}
Summary:        Sony ULM SIO FPGA Driver

License:        GPLv2
URL:            git@ulm-git.vsp.cpg.sony.co.jp:ulm/system/drivers/%{gitname}

BuildRequires:  %kernel_module_package_buildreqs findutils
BuildRequires:  kernel-devel
Requires:       kmod-%{name} = %{version}-%{release}

%description
SIO FPGA Driver for Sony Universal Live Module.


%global debug_package %{nil}
%define tag     V%(echo %{version} | %{__sed} 's/\\.//g')

%kernel_module_package -n %{name}

%prep
%setup -T -c
/usr/bin/git clone --branch %{tag} --recurse-submodules %{url}.git .


%build
%make_build

%install
%make_install
# Cleanup unnecessary kernel-generated module dependency files.
find %{buildroot}/lib/modules -iname 'modules.*' | xargs rm

%changelog
* Tue Sep 21 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_4
- Release Version: 1.01_4

* Wed Sep 08 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_3
- Release Version: 1.01_3

* Tue Aug 03 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_35
- Release Version: 1.00_35

* Sun Jun 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_29
- Release Version: 1.00_29

* Mon May 31 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_25
- Release Version: 1.00_25

* Wed May 26 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24A
- Release Version: 1.00_24A

* Sun May 09 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_22
- Release Version: 1.00_22

* Sun Apr 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20
- Release Version: 1.00_20

* Mon Nov 16 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_11
- Release Version: 1.00_11

* Tue Sep 15 2020 ULM Project<ulm-soft@vsp.cpg.sony.co.jp> - 1.00_7
- rebuild

* Mon Aug 17 2020 ULM Project<ulm-soft@vsp.cpg.sony.co.jp> - 1.00_5
- Initial build
